create_rectangle#
- Modeler3D.create_rectangle(csPlane, position, dimension_list, name=None, matname=None, is_covered=True)[source]#
Create a rectangle.
- Parameters:
- csPlane
str
orint
Coordinate system plane for orienting the rectangle.
pyaedt.constants.PLANE
Enumerator can be used as input.- position
list
orPosition
List of
[x, y, z]
coordinates of the lower-left corner of the rectangle or the position ApplicationName.modeler.Position(x,y,z) object.- dimension_list
list
List of
[width, height]
dimensions.- name
str
,optional
Name of the rectangle. The default is
None
, in which case the default name is assigned.- matname
str
,optional
Name of the material. The default is
None
, in which case the default material is assigned.- is_coveredbool,
optional
Whether the rectangle is covered. The default is
True
.
- csPlane
- Returns:
- bool,
pyaedt.modeler.cad.object3d.Object3d
3D object or
False
if it fails.
- bool,
References
>>> oEditor.CreateRectangle